> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Node Client Download URL



## OpenAPI

````yaml https://api.dispersed.com/openapi.json get /v1/nodes/client-download
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/nodes/client-download:
    get:
      tags:
        - Nodes
      summary: Get Node Client Download URL
      parameters:
        - schema:
            type: string
            enum:
              - linux
              - windows
            example: linux
          required: true
          name: os
          in: query
      responses:
        '200':
          description: Presigned download URL for the Node Client binary
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeClientDownloadResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Download service is not configured
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    NodeClientDownloadResponse:
      type: object
      properties:
        download_url:
          type: string
          format: uri
          example: https://example.r2.cloudflarestorage.com/bucket/latest/file.zip
        expires_in_seconds:
          type: integer
          example: 3600
        file_name:
          type: string
          example: dispersed-linux.zip
        operating_system:
          type: string
          enum:
            - linux
            - windows
          example: linux
      required:
        - download_url
        - expires_in_seconds
        - file_name
        - operating_system
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    Error:
      type: object
      properties:
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              input:
                type: string
              keys:
                type: array
                items:
                  type: string
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
          default: []
        message:
          type: string
        status:
          type: number
        timestamp:
          type: string
      required:
        - code
        - message
        - status
        - timestamp

````